Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class TransactionOperations

    java.lang.Object
      com.sun.messaging.jms.management.server.TransactionOperations

    public class TransactionOperations

extends Object

Class containing information on transaction operations.

Field Summary
`static String` | `COMMIT` Commit a transaction.
`static String` | `GET_TRANSACTION_IDS` Get list of transaction IDs
`static String` | `GET_TRANSACTION_INFO` Get info on all transactions
`static String` | `GET_TRANSACTION_INFO_BY_ID` Get info on specified transaction (via ID)
`static String` | `ROLLBACK` Rollback a transaction.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_TRANSACTION_IDS

    public static final String GET_TRANSACTION_IDS

  Get list of transaction IDs

  See Also:
    Constant Field Values

### GET_TRANSACTION_INFO

    public static final String GET_TRANSACTION_INFO

  Get info on all transactions

  See Also:
    Constant Field Values

### GET_TRANSACTION_INFO_BY_ID

    public static final String GET_TRANSACTION_INFO_BY_ID

  Get info on specified transaction (via ID)

  See Also:
    Constant Field Values

### COMMIT

    public static final String COMMIT

  Commit a transaction.

  See Also:
    Constant Field Values

### ROLLBACK

    public static final String ROLLBACK

  Rollback a transaction.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.